> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.fontconverter.fontnameconverter.md).

# FontConverter.FontNameConverter

Namespace: **System.Drawing**

Assembly: **System.Drawing.Managed** (4.0.0.0)

FontNameConverter is a type converter that is used to convert a font name to and from various other representations. This API supports the product infrastructure and is not intended to be used directly from your code.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FontNameConverter : TypeConverter
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FontNameConverter
    Inherits TypeConverter
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/gN3G3VR5GgQngV3jdnfJ) FontNameConverter()

Initializes a new instance of the [FontNameConverter](/system.drawing.managed/api/system.drawing/system.drawing.fontconverter.fontnameconverter.md) class.

## Methods

### ![](/files/gN3G3VR5GgQngV3jdnfJ) CanConvertFrom(context, sourceType)

Determines if this converter can convert an object in the given source type to the native type of the converter.

| Parameter      | Type                                                                                                         | Description                                                                                                                                                                                                                                                                                                                  |
| -------------- | ------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **context**    | [ITypeDescriptorContext](https://docs.microsoft.com/dotnet/api/system.componentmodel.itypedescriptorcontext) | An [ITypeDescriptorContext](https://docs.microsoft.com/dotnet/api/system.componentmodel.itypedescriptorcontext) that can be used to extract additional information about the environment this converter is being invoked from. This may be , so you should always check. Also, properties on the context object may return . |
| **sourceType** | [Type](https://docs.microsoft.com/dotnet/api/system.type)                                                    | The type you wish to convert from.                                                                                                                                                                                                                                                                                           |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean). if the converter can perform the conversion; otherwise, .

### ![](/files/gN3G3VR5GgQngV3jdnfJ) ConvertFrom(context, culture, value)

Converts the given object to the converter's native type.

| Parameter   | Type                                                                                                         | Description                                                                                                                                                                                                                                                                                                                  |
| ----------- | ------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **context** | [ITypeDescriptorContext](https://docs.microsoft.com/dotnet/api/system.componentmodel.itypedescriptorcontext) | An [ITypeDescriptorContext](https://docs.microsoft.com/dotnet/api/system.componentmodel.itypedescriptorcontext) that can be used to extract additional information about the environment this converter is being invoked from. This may be , so you should always check. Also, properties on the context object may return . |
| **culture** | [CultureInfo](https://docs.microsoft.com/dotnet/api/system.globalization.cultureinfo)                        | A [CultureInfo](https://docs.microsoft.com/dotnet/api/system.globalization.cultureinfo) to use to perform the conversion                                                                                                                                                                                                     |
| **value**   | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                                | The object to convert.                                                                                                                                                                                                                                                                                                       |

**Returns:** [Object](https://docs.microsoft.com/dotnet/api/system.object). The converted object.

**Throws:**

* [NotSupportedException](https://docs.microsoft.com/dotnet/api/system.notsupportedexception) The conversion cannot be completed.

### ![](/files/gN3G3VR5GgQngV3jdnfJ) GetStandardValues(context)

| Parameter   | Type                                                                                                         | Description |
| ----------- | ------------------------------------------------------------------------------------------------------------ | ----------- |
| **context** | [ITypeDescriptorContext](https://docs.microsoft.com/dotnet/api/system.componentmodel.itypedescriptorcontext) |             |

**Returns:** [StandardValuesCollection](https://docs.microsoft.com/dotnet/api/system.componentmodel.standardvaluescollection).

### ![](/files/gN3G3VR5GgQngV3jdnfJ) GetStandardValuesExclusive(context)

| Parameter   | Type                                                                                                         | Description |
| ----------- | ------------------------------------------------------------------------------------------------------------ | ----------- |
| **context** | [ITypeDescriptorContext](https://docs.microsoft.com/dotnet/api/system.componentmodel.itypedescriptorcontext) |             |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean).

### ![](/files/gN3G3VR5GgQngV3jdnfJ) GetStandardValuesSupported(context)

| Parameter   | Type                                                                                                         | Description |
| ----------- | ------------------------------------------------------------------------------------------------------------ | ----------- |
| **context** | [ITypeDescriptorContext](https://docs.microsoft.com/dotnet/api/system.componentmodel.itypedescriptorcontext) |             |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.fontconverter.fontnameconverter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
